Loading...
Searching...
No Matches
__vcpu-arch.h File Reference

AMD64-specific vCPU interface. More...

`#include <l4/sys/types.h>`
Include dependency graph for __vcpu-arch.h:

Go to the source code of this file.

## Data Structures

struct | l4_vcpu_arch_state_t
| Architecture-specific vCPU state. More...
struct | l4_vcpu_regs_t
| vCPU registers. More...
struct | l4_vcpu_ipc_regs_t
| vCPU message registers. More...

## Typedefs

typedef struct l4_vcpu_arch_state_t | l4_vcpu_arch_state_t
| Architecture-specific vCPU state.
typedef struct l4_vcpu_regs_t | l4_vcpu_regs_t
| vCPU registers.
typedef struct l4_vcpu_ipc_regs_t | l4_vcpu_ipc_regs_t
| vCPU message registers.

## Enumerations

enum | { L4_VCPU_STATE_VERSION = 0x26 , L4_VCPU_STATE_SIZE = 0x200 , L4_VCPU_STATE_EXT_SIZE = L4_PAGESIZE }
enum | L4_vcpu_state_offset { L4_VCPU_OFFSET_EXT_STATE = 0x400 , L4_VCPU_OFFSET_EXT_INFOS = 0x200 }
| Offsets for vCPU state layouts. More...

## Detailed Description

AMD64-specific vCPU interface.

Definition in file __vcpu-arch.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
L4_VCPU_STATE_VERSION | Architecture-specific version ID. This ID must match the version field in the l4_vcpu_state_t structure after enabling vCPU mode or extended vCPU mode for a thread.

Definition at line 16 of file __vcpu-arch.h.